<body>
<div class="ui stackable menu">
  <div class="ui container">
    <%= link_to "Home", root_path, class:"item" %>

    <% if current_user %>

      <div class="ui dropdown item">
        Information
        <i class="dropdown icon"></i>
        <div class="menu">
          <% if policy(:organization).index? %>
            <%= link_to 'Organizations', organizations_path, class:"item" %>
          <% elsif current_user.affiliated_organization and current_user.enabled %>
            <%= link_to 'My Organization', organization_path(current_user.affiliated_organization), class:"item" %>
          <% else %>
            <div class="item">
              Please join an organization
            </div>
          <% end %>
        </div>
      </div>

      <% if current_user.affiliated_organization and current_user.enabled %>
        <div class="ui dropdown item">
          Resources
          <i class="dropdown icon"></i>
          <div class="menu">
            <% if policy(:late_plate).index? %>
              <%= link_to 'Late Plates', late_plates_path, class:"item" %>
            <% end %>
            <% if policy(:maintenance_request).index? %>
              <%= link_to 'Maintenance Requests', maintenance_requests_path, class:"item" %>
            <% end %>
            <% if policy(:service_hour).index? %>
              <%= link_to 'Service Hours', service_hours_path, class:"item" %>
            <% end %>
          </div>
        </div>
      <% end %>


    <div class="right menu">

        <div class="ui dropdown item">
          Admin Options
          <i class="dropdown icon"></i>
          <div class="menu">
          <% if current_user&.has_role?(Role.where(label: ['System Admin', 'Kitchen Manager', 'Organization Manager'] )) %>
              <%= link_to 'Manage Meals', meals_path, class:"item" %>
          <% end %>
          <% if current_user&.has_role?(Role.where(label: ['System Admin', 'Service Manager', 'Organization Manager'] )) %>
            <%= link_to 'Manage Service Hours', admin_service_hours_path, class:"item" %>
          <% end %>
          <% if current_user&.has_role?(Role.where(label: ['System Admin', 'Rush Manager', 'Organization Manager'] )) %>
            <%= link_to 'Manage Rush', admin_rushees_path, class:"item" %>
          <% end %>
          </div>
        </div>


      <div class="ui right dropdown item">
        User Options
        <i class="dropdown icon"></i>
        <div class="menu">
          <%= link_to "My Profile", user_path(current_user), class:"item" %>
          <%= link_to 'Log Out', signout_path, class:"item" %>
        </div>
      </div>
    </div>

    <% end %>
  </div>
</div>
<section style="padding: 30px 0px; min-height: 87%;" id="main">
